
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; pyfuse3 3.4.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />
    
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>
    
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Index</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#K"><strong>K</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 | <a href="#W"><strong>W</strong></a>
 | <a href="#X"><strong>X</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.access">access() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.EntryAttributes.attr_timeout">attr_timeout (pyfuse3.EntryAttributes attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="fuse_api.html#pyfuse3.close">close() (in module pyfuse3)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.create">create() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.default_options">default_options (in module pyfuse3)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.FileInfo.direct_io">direct_io (pyfuse3.FileInfo attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.ENOATTR">ENOATTR (in module pyfuse3)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.EntryAttributes.entry_timeout">entry_timeout (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes">EntryAttributes (class in pyfuse3)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.StatvfsData.f_bavail">f_bavail (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_bfree">f_bfree (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_blocks">f_blocks (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_bsize">f_bsize (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_favail">f_favail (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_ffree">f_ffree (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_files">f_files (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_frsize">f_frsize (pyfuse3.StatvfsData attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData.f_namemax">f_namemax (pyfuse3.StatvfsData attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.FileInfo.fh">fh (pyfuse3.FileInfo attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.FileHandleT">FileHandleT (class in pyfuse3)</a>
</li>
      <li><a href="data.html#pyfuse3.FileInfo">FileInfo (class in pyfuse3)</a>
</li>
      <li><a href="data.html#pyfuse3.FileNameT">FileNameT (class in pyfuse3)</a>
</li>
      <li><a href="data.html#pyfuse3.FlagT">FlagT (class in pyfuse3)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.flush">flush() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.forget">forget() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.fsync">fsync() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.fsyncdir">fsyncdir() (pyfuse3.Operations method)</a>
</li>
      <li><a href="data.html#pyfuse3.FUSEError">FUSEError</a>
</li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.EntryAttributes.generation">generation (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="util.html#pyfuse3.get_sup_groups">get_sup_groups() (in module pyfuse3)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.getattr">getattr() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="util.html#pyfuse3.getxattr">getxattr() (in module pyfuse3)</a>

      <ul>
        <li><a href="operations.html#pyfuse3.Operations.getxattr">(pyfuse3.Operations method)</a>
</li>
      </ul></li>
      <li><a href="data.html#pyfuse3.RequestContext.gid">gid (pyfuse3.RequestContext attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="fuse_api.html#pyfuse3.init">init() (in module pyfuse3)</a>

      <ul>
        <li><a href="operations.html#pyfuse3.Operations.init">(pyfuse3.Operations method)</a>
</li>
      </ul></li>
      <li><a href="data.html#pyfuse3.InodeT">InodeT (class in pyfuse3)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="fuse_api.html#pyfuse3.invalidate_entry">invalidate_entry() (in module pyfuse3)</a>
</li>
      <li><a href="fuse_api.html#pyfuse3.invalidate_entry_async">invalidate_entry_async() (in module pyfuse3)</a>
</li>
      <li><a href="fuse_api.html#pyfuse3.invalidate_inode">invalidate_inode() (in module pyfuse3)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="K">K</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.FileInfo.keep_cache">keep_cache (pyfuse3.FileInfo attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.link">link() (pyfuse3.Operations method)</a>
</li>
      <li><a href="util.html#pyfuse3.listdir">listdir() (in module pyfuse3)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.listxattr">listxattr() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.lookup">lookup() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="fuse_api.html#pyfuse3.main">main() (in module pyfuse3)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.mkdir">mkdir() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.mknod">mknod() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.ModeT">ModeT (class in pyfuse3)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="index.html#module-pyfuse3">pyfuse3</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.FileInfo.nonseekable">nonseekable (pyfuse3.FileInfo attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="fuse_api.html#pyfuse3.notify_store">notify_store() (in module pyfuse3)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.open">open() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.opendir">opendir() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations">Operations (class in pyfuse3)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.RequestContext.pid">pid (pyfuse3.RequestContext attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    pyfuse3

      <ul>
        <li><a href="index.html#module-pyfuse3">module</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.read">read() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.readdir">readdir() (pyfuse3.Operations method)</a>
</li>
      <li><a href="fuse_api.html#pyfuse3.readdir_reply">readdir_reply() (in module pyfuse3)</a>
</li>
      <li><a href="data.html#pyfuse3.ReaddirToken">ReaddirToken (class in pyfuse3)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.readlink">readlink() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.release">release() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.releasedir">releasedir() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.removexattr">removexattr() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.rename">rename() (pyfuse3.Operations method)</a>
</li>
      <li><a href="data.html#pyfuse3.RENAME_EXCHANGE">RENAME_EXCHANGE (in module pyfuse3)</a>
</li>
      <li><a href="data.html#pyfuse3.RENAME_NOREPLACE">RENAME_NOREPLACE (in module pyfuse3)</a>
</li>
      <li><a href="data.html#pyfuse3.RequestContext">RequestContext (class in pyfuse3)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.rmdir">rmdir() (pyfuse3.Operations method)</a>
</li>
      <li><a href="data.html#pyfuse3.ROOT_INODE">ROOT_INODE (in module pyfuse3)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.setattr">setattr() (pyfuse3.Operations method)</a>
</li>
      <li><a href="data.html#pyfuse3.SetattrFields">SetattrFields (class in pyfuse3)</a>
</li>
      <li><a href="util.html#pyfuse3.setxattr">setxattr() (in module pyfuse3)</a>

      <ul>
        <li><a href="operations.html#pyfuse3.Operations.setxattr">(pyfuse3.Operations method)</a>
</li>
      </ul></li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_atime_ns">st_atime_ns (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_blksize">st_blksize (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_blocks">st_blocks (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_ctime_ns">st_ctime_ns (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_gid">st_gid (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_ino">st_ino (pyfuse3.EntryAttributes attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_mode">st_mode (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_mtime_ns">st_mtime_ns (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_nlink">st_nlink (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_rdev">st_rdev (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_size">st_size (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.EntryAttributes.st_uid">st_uid (pyfuse3.EntryAttributes attribute)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.stacktrace">stacktrace() (pyfuse3.Operations method)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.statfs">statfs() (pyfuse3.Operations method)</a>
</li>
      <li><a href="data.html#pyfuse3.StatvfsData">StatvfsData (class in pyfuse3)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.symlink">symlink() (pyfuse3.Operations method)</a>
</li>
      <li><a href="util.html#pyfuse3.syncfs">syncfs() (in module pyfuse3)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="fuse_api.html#pyfuse3.terminate">terminate() (in module pyfuse3)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="fuse_api.html#pyfuse3.trio_token">trio_token (in module pyfuse3)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.RequestContext.uid">uid (pyfuse3.RequestContext attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.RequestContext.umask">umask (pyfuse3.RequestContext attribute)</a>
</li>
      <li><a href="operations.html#pyfuse3.Operations.unlink">unlink() (pyfuse3.Operations method)</a>
</li>
      <li><a href="data.html#pyfuse3.SetattrFields.update_atime">update_atime (pyfuse3.SetattrFields attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.SetattrFields.update_gid">update_gid (pyfuse3.SetattrFields attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.SetattrFields.update_mode">update_mode (pyfuse3.SetattrFields attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.SetattrFields.update_mtime">update_mtime (pyfuse3.SetattrFields attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.SetattrFields.update_size">update_size (pyfuse3.SetattrFields attribute)</a>
</li>
      <li><a href="data.html#pyfuse3.SetattrFields.update_uid">update_uid (pyfuse3.SetattrFields attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="operations.html#pyfuse3.Operations.write">write() (pyfuse3.Operations method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="X">X</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="data.html#pyfuse3.XAttrNameT">XAttrNameT (class in pyfuse3)</a>
</li>
  </ul></td>
</tr></table>



            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper"><h3><a href="index.html">Table Of Contents</a></h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="about.html">About</a></li>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="general.html">General Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="asyncio.html">asyncio Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="fuse_api.html">FUSE API Functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="data.html">Data Structures</a></li>
<li class="toctree-l1"><a class="reference internal" href="operations.html">Request Handlers</a></li>
<li class="toctree-l1"><a class="reference internal" href="util.html">Utility Functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="gotchas.html">Common Gotchas</a></li>
<li class="toctree-l1"><a class="reference internal" href="example.html">Example File Systems</a></li>
<li class="toctree-l1"><a class="reference internal" href="changes.html">Changelog</a></li>
</ul>

<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="#" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Index</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2024, Nikolaus Rath.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.3.0.
    </div>
  </body>
</html>